
#define BXLPSTATUSBACK_API __declspec(dllimport)

typedef INT (CALLBACK *fnStatusCallbackFunc)(INT nStatus);
typedef INT (CALLBACK *fnMsrCallbackFunc)(BYTE msrData[], INT dataSize, INT trackNumber);

// Calls the specified printer to use Status API.
BXLPSTATUSBACK_API BOOL __stdcall BidiOpenMonPrinter(LPCTSTR PrnDrvName);
// Calls the specified printer to use Status API.
BXLPSTATUSBACK_API BOOL __stdcall BidiOpenMonPrinterW(LPWSTR PrnDrvName);
// Closes Status API.
BXLPSTATUSBACK_API BOOL __stdcall BidiCloseMonPrinter();
// Provides notification regarding the call of the callback function notifying the application when printer's status changes.
BXLPSTATUSBACK_API BOOL __stdcall BidiSetStatusBackFunction(fnStatusCallbackFunc pStatusCallbackFn);
BXLPSTATUSBACK_API BOOL __stdcall BidiSetCallBackFunction(fnStatusCallbackFunc pStatusCallbackFn, fnMsrCallbackFunc pMsrCallbackFn);
// Cancels the auto status notification function. This function is applicable to BiSetStatusBackFunction,
BXLPSTATUSBACK_API BOOL __stdcall BidiCancelStatusBack();
BXLPSTATUSBACK_API BOOL __stdcall BidiCancelCallBackFunction();
// Acquires the ASB status from Status API when required by the application.
BXLPSTATUSBACK_API DWORD __stdcall BidiGetStatus();

